View Issue Details

IDProjectCategoryView StatusLast Update
0021709LazarusIDEpublic2012-04-15 18:18
ReporterBenito van der ZanderAssigned ToMartin Friebe 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.30.5 (SVN)Product Buildr36661 
Target VersionFixed in Version1.1 (SVN) 
Summary0021709: scrolling with do-you-want-to-replace-that message
DescriptionWhen you use the replace dialog and before displaying the do-you-want-to-replace-that-message, the source editor scrolls down to the find match, so that the line with the found text is visible at the bottom of the window.

It would be better, if it scrolls a little bit further, so that also the following lines are visible, as it does it, when searching instead of replacing...


Also, you could make the do-you-want-to-replace-that-message-dialog non modal, so that you can scroll on your own while it is waiting
TagsNo tags attached.
Fixed in Revision36796
LazTarget1.2
Widgetset
Attached Files

Activities

Martin Friebe

2012-04-15 16:17

manager   ~0058622

Please test and close if ok

Martin Friebe

2012-04-15 16:20

manager   ~0058623

A none-modal request would also allow editing, closing the tab, starting a 2nd search .....

All that and more would need special handling.

Patches might be welcome. But better if any contributor wishing to do this, writes a new "replace" as installable package

Issue History

Date Modified Username Field Change
2012-04-11 14:39 Benito van der Zander New Issue
2012-04-11 14:39 Benito van der Zander Widgetset => GTK 2
2012-04-12 18:35 Martin Friebe Status new => assigned
2012-04-12 18:35 Martin Friebe Assigned To => Martin Friebe
2012-04-15 16:17 Martin Friebe Fixed in Revision => 36796
2012-04-15 16:17 Martin Friebe LazTarget => 1.2
2012-04-15 16:17 Martin Friebe Widgetset GTK 2 =>
2012-04-15 16:17 Martin Friebe Status assigned => resolved
2012-04-15 16:17 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-04-15 16:17 Martin Friebe Resolution open => fixed
2012-04-15 16:17 Martin Friebe Note Added: 0058622
2012-04-15 16:20 Martin Friebe Note Added: 0058623
2012-04-15 18:18 Benito van der Zander Status resolved => closed